need summerboard 3.1-1! please read!

Discussion in 'iPod touch 1.1.3 Application Compatibility' started by mlbplayer456, Mar 6, 2008.

  1. mlbplayer456

    mlbplayer456 Banned

    Joined:
    Nov 11, 2007
    Messages:
    978
    Likes Received:
    6
    So i have an ipod touch and i have 1.1.3 jb and there is no smb 3.1-1 on the installer! can someone please upload it to me so i can manually download it? thank you!

    Please Register or Log in to view images

Share This Page